<ion-view class="acoordion" title="edit services" ng-controller="servicesCtrl as ctrl">
  <div class="container" style="padding-top: 50px">

    <div class="row">
      <div class="col-sm-12">
        <h2>Event Services</h2>
        <hr>
      </div>
      <!-- agregar nuevo servicio -->
      <div class="col-sm-5">
        <form class="form-horizontal">
          <h4>Add new service:</h4>
          <div class="col-sm-12">
            <div class="form-group">
              <label for="name">title</label>
              <input type="text" class="form-control" id="title" placeholder="title" ng-model="ctrl.data.title">
            </div>

            <div class="form-group">
              <label for="name">Link</label>
              <input type="text" class="form-control" id="title" ng-model="ctrl.data.link">
            </div>

            <div class="form-group">
              <label>Content</label>
              <text-angular ng-model="ctrl.data.content"></text-angular>
            </div>

          </div>
          <div class="row">
            <div class="col-sm-12">
              <button ng-if="ctrl.data.title && ctrl.data.content" type="submit" class="btn btn-success" ng-click="ctrl.crear()">Create</button>
              <hr>
            </div>
          </div>
        </form>

        <form class="form-horizontal">
          <div class="col-sm-12">

          </div>
          <div class="form-group">
            <div class="col-sm-12">
              <h4>Services floorplan:</h4>
            </div>
            <div class="col-sm-12">
              <label>Image: dimensions(640 x 1015 pixels), format(png,jpg):</label>
            </div>
            <div class="col-sm-4">
              <img ng-if="ctrl.floorplan.img" ng-src="{{ctrl.floorplan.img}}" class="img-thumbnail">
            </div>
            <div class="col-sm-12">
              <br>
              <button class="btn btn-primary" ngf-select="ctrl.uploadImages($files, 'img')" multiple="false" accept="image/*" ngf-max-height="5000">
                Upload floorplan
              </button>
              <button ng-if="ctrl.floorplan.img" class="btn btn-danger" ng-click="ctrl.deleteImg()">
                Delete floorplan
              </button>
              <button class="btn btn-success" ng-click="ctrl.saveImg()">
                Save floorplan
              </button>
            </div>

          </div>
        </form>
      </div>
      <!-- listado de servicios -->
      <div class="col-sm-7">
        <div class="row" style="background-color:lightgray;">
          <div class="col-sm-12">
            <h4>Current services:</h4>
          </div>
          <div class="col-sm-12" ng-repeat="service in ctrl.services">
            <div class="service">
              <div class="thumbnail">
                <div class="caption">
                  <h3 ng-if="ctrl.edit !== service.$id">{{service.title}}</h3>
                  <div ng-if="ctrl.edit !== service.$id" ta-bind="text" ng-model="service.content"></div>
                  <!-- edit service -->
                  <form class="form" ng-if="ctrl.edit == service.$id">
                    <div class="form-group">
                      <input ng-if="ctrl.edit == service.$id" type="text" class="form-control" ng-model="service.title">
                    </div>
                    <div class="form-group">
                      <input ng-if="ctrl.edit == service.$id" type="text" class="form-control" ng-model="service.link" placeholder="Link">
                    </div>
                    <div class="form-group">
                      <label>Content</label>
                      <text-angular ng-model="service.content"></text-angular>
                    </div>
                  </form>
                  <div class="btn-group" role="group">
                    <button type="button" class="btn btn-default" ng-if="ctrl.edit != service.$id" ng-click="ctrl.edit = service.$id">Edit</button>
                    <button type="button" class="btn btn-default" ng-if="ctrl.edit == service.$id" ng-click="ctrl.save(service)">Save</button>
                    <button type="button" class="btn btn-default" ng-if="!ctrl.checkremove" ng-click="ctrl.checkremove = true">Delete</button>
                    <button type="button" class="btn btn-default" ng-if="ctrl.checkremove" ng-click="ctrl.remove(service)">Confirm remove</button>
                    <button type="button" class="btn btn-danger" ng-if="ctrl.checkremove" ng-click="ctrl.checkremove = false">Cancel</button>
                  </div>
                </div>
              </div>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div><!-- /.container -->
</ion-view>
